package TiVo::Slice::Field;

use strict;

our $VERSION =
    (split / /, q$Id: Field.pm,v 1.2 2001/12/02 11:01:42 grant Exp $)[2];

sub new {
    my $class = shift;
    my $value = shift;

    my $self = {};
    bless $self, ref($class) || $class;

    $self->{value} = $value;

    return $self;
}

sub code {
    my $self = shift;
    if (my $newcode = shift) {
        $self->{code} = pack("C", $newcode);
    }
    return $self->{code};
}

sub value {
    my $self = shift;
    return $self->{value};
}

1;
