package TiVo::Slice::Record::Series;

use strict;
use base qw(TiVo::Slice::Record);

our $VERSION =
    (split / /, q$Id: Series.pm,v 1.1 2001/12/02 11:00:45 grant Exp $)[2];

sub field_defs {
    (
     title     => [0x45, 'String'],
     episodic  => [0x58, 'Number'],
     genre     => [0x50, 'Number'],
    );
}

sub new {
    my $class = shift;
    my $self = $class->SUPER::new(@_);
    $self->_code(0x104);
    return $self;
}

1;


