package TiVo::Slice::Field::SlotNumber;

use strict;
use base qw(TiVo::Slice::Field);
use TiVo::Slice::Number;

our $VERSION =
    (split / /, q$Id: SlotNumber.pm,v 1.1 2001/12/02 11:00:19 grant Exp $)[2];

sub new {
    my $class = shift;
    my $value = shift;

    my $one = TiVo::Slice::Number->new(7); # FIXME arbitrary
    my $two = TiVo::Slice::Number->new($value);

    my $self = $class->SUPER::new($one->tivonumber . $two->tivonumber);
    return $self;
}

1;
